$(document).ready(function () {
    $("body").off('click').on("click", '.remove', remove);
    $(".body").on("focus", '.recddate', autoAddRows);
    $("body").on("keyup focus blur change", '.karigar', GetAcno);
    $("body").on("keyup focus blur change", '.amount', itemCal);
//    $("#hprint").hide();

    function GetAcno() {
        var tr = $(this).closest("tr");
        var karigar = tr.find(".karigar").val();
        $.post('getAcNo.php', {karigar: karigar}, function (data) {
            if (data != '') {
                tr.find(".acno").val(data);
//                $row.find(".item").focus();
            }
        });
    }


    $('#addnew').click(function () {
        AddRows();
    });

    function autoAddRows() {
        var ctr = $('#items').val();
        var tr = $(this).closest("tr");
        var srno = tr.find(".srno").val();
        if (srno == ctr) {
            AddRows();

        }
    }

    function remove() {
        $(this).closest("tr").remove();
    }

    function AddRows() {
        var ctr = $('#items').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        var detail = ".fetchpart_" + ctr;
        $.post('amtrequest_add.php', {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo('.tbody');
            ctr++;
            $('#items').val(ctr);
            $(detail).select2();
        });
    }

    function itemCal() {
        var val = 0;

        $(".amount").each(function () {
            if (!isNaN(this.value) && this.value.length != 0) {
                val += parseFloat(this.value);
            }
        });
        var tot = parseFloat(val);
        $('.totamt').val(tot);
    }

});